ReferenceAPI
Incidents
Incidents and their updates.
GET
/v1/incidentsQuery Parameters
state?string
Default
"open"Value in
- "open"
- "resolved"
Response Body
application/json
curl -X GET "https://example.com/v1/incidents"{ "incidents": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "status": "investigating", "impact": "none", "visibility": "draft", "source": "manual", "startedAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "components": [ { "componentId": "616ccd92-d666-4180-8349-8d125b269fac", "status": "operational" } ] } ]}POST
/v1/incidentsRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/incidents" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "impact": "none", "body": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "status": "investigating", "impact": "none", "visibility": "draft", "source": "manual", "startedAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "components": [ { "componentId": "616ccd92-d666-4180-8349-8d125b269fac", "status": "operational" } ], "updates": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "investigating", "body": "string", "createdAt": "2019-08-24T14:15:22Z" } ]}curl -X GET "https://example.com/v1/incidents/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "status": "investigating", "impact": "none", "visibility": "draft", "source": "manual", "startedAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "components": [ { "componentId": "616ccd92-d666-4180-8349-8d125b269fac", "status": "operational" } ], "updates": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "investigating", "body": "string", "createdAt": "2019-08-24T14:15:22Z" } ]}POST
/v1/incidents/{id}/updatesImpact and components change only when they are sent.
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/incidents/497f6eca-6276-4993-bfeb-53cbbbba6f08/updates" \ -H "Content-Type: application/json" \ -d '{ "status": "investigating", "body": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "status": "investigating", "impact": "none", "visibility": "draft", "source": "manual", "startedAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "components": [ { "componentId": "616ccd92-d666-4180-8349-8d125b269fac", "status": "operational" } ], "updates": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "investigating", "body": "string", "createdAt": "2019-08-24T14:15:22Z" } ]}